libogg documentation | libogg release 1.3.2 - 20140527

# oggpack_read

declared in "ogg/ogg.h";

This function reads the requested number of bits from the buffer and advances the location pointer.

Before reading, the buffer should be initialized using oggpack_readinit.

    long oggpack_read(oggpack_buffer *b,int bits);

### Parameters

b
  Pointer to an oggpack_buffer struct containing buffered data to be read.
bits
  Number of bits to read.

### Return Values

> - n represents the requested bits.

copyright © 2000-2014 Xiph.Org | Ogg Container Format
libogg documentation | libogg release 1.3.2 - 20140527